let intervalId = null;

document.getElementById("start").addEventListener("click", () => {
    chrome.tabs.query({ active: true, currentWindow: true }, (tabs) => {
        const tab = tabs[0];
        if (tab) {
            chrome.scripting.executeScript({
                target: { tabId: tab.id },
                func: startSwitching
            });
        }
    });
});

document.getElementById("stop").addEventListener("click", () => {
    chrome.tabs.query({ active: true, currentWindow: true }, (tabs) => {
        const tab = tabs[0];
        if (tab) {
            chrome.scripting.executeScript({
                target: { tabId: tab.id },
                func: stopSwitching
            });
        }
    });
});

function startSwitching() {
    if (window.intervalId) return;
    window.page = parseInt(new URL(window.location.href).searchParams.get('page')) || 1;

    window.intervalId = setInterval(() => {
        window.page++;
        const url = new URL(window.location.href);
        url.searchParams.set('page', window.page);
        window.location.href = url.toString();
    }, 5 * 60 * 1000); // כל 5 דקות
}

function stopSwitching() {
    if (window.intervalId) {
        clearInterval(window.intervalId);
        window.intervalId = null;
    }
}
